Page MenuHomePhabricator

Template:ApiEx on mw.org should have a link to "[view in ApiSandbox]".
Closed, ResolvedPublic

Description

We use {{ApiEx}} to present api.php API examples. The template output should have a [try in ApiSandbox] link to Special:ApiSandbox, preloading it with the same parameters.

Same idea as T89229: API Help should generate [try in ApiSandbox] link to Special:ApiSandbox#action=params from getExamples()

Event Timeline

Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)
Spage added a project: Web-APIs-Hub.
Spage added subscribers: Spage, Qgil, Anomie, Aklapper.
Spage moved this task from Backlog to Tech on the Web-APIs-Hub board.Feb 17 2015, 10:42 AM
Spage set Security to None.
Spage moved this task from Backlog to Ready To Go on the ECT-February-2015 board.

Still worth doing. Needs another paramer to {{ApiEx}}, showSandbox ,defaulted to 0 or 1 depending on how reliable this turns out to be.

Spage moved this task from Backlog to Ready To Go on the ECT-March-2015 board.Mar 3 2015, 5:35 AM
Spage raised the priority of this task from Normal to High.Mar 19 2015, 11:56 PM

I implemented [try in Sandbox] in a mod of {{ApiEx}}, and Page info in search results uses it. Feedback welcome!

Spage moved this task from Ready To Go to Doing on the ECT-March-2015 board.Apr 6 2015, 10:39 AM

No feedback yet, I'll get it merged in April.

Spage closed this task as Resolved.Apr 19 2015, 10:38 AM
Spage updated the task description. (Show Details)
Qgil moved this task from Need Discussion to Doing on the ECT-April-2015 board.Apr 27 2015, 7:39 AM